> ## Documentation Index
> Fetch the complete documentation index at: https://specbeeconsultingservices.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# GET Custom Fields

> Returns the custom fields for the given company.



## OpenAPI

````yaml get /platform/api/custom_fields
openapi: 3.0.0
info:
  title: API Reference
  version: '1.0'
  contact:
    name: Rippling Support
    email: support@rippling.com
  license:
    name: MIT
  description: >-
    Using Rippling's API requires either an API key or an access token retrieved
    from an OAuth exchange. Each is tied to a single Rippling Company.


    If you are a partner building an integration to Rippling,you can use
    [Rippling's Installation
    Guide](https://developer.rippling.com/docs/rippling-api/fucwnbc121hiu-installation-guide)
    to learn how to retrieve an access token to start using Rippling APIs.


    If you are a customer, you can go
    [here](https://developer.rippling.com/docs/rippling-api/9rw6guf819r5f-introduction-for-customers)
    to learn create your API keys to start using Rippling APIs.


    ### Using the Interactive Documentation


    Rippling's Documentation Portal allows you to test the API endpoints
    directly within the documentation. To do so, provide your API key or Access
    Token as a header parameter with the form Authorization Bearer: Bearer.
  termsOfService: https://app.rippling.com/developer/tos
servers:
  - url: https://api.rippling.com
    description: Production
security:
  - Token: []
tags:
  - name: A. Companies
  - name: B. Employees
  - name: C. Payroll
  - name: D. 401k
  - name: F. Groups
  - name: G. SAML
  - name: E. Current User
  - name: H. ATS
  - name: I. Application Management
  - name: J. Reports
  - name: Deprecated
paths:
  /platform/api/custom_fields:
    parameters: []
    get:
      tags:
        - A. Companies
      summary: GET Custom Fields
      description: Returns the custom fields for the given company.
      operationId: get-custom_fields
      parameters:
        - $ref: '#/components/parameters/limit'
        - $ref: '#/components/parameters/offset'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CustomFields'
              examples:
                Success:
                  value:
                    - type: SELECT
                      title: What is your race / ethnicity?
                      caption: null
                      required: false
                    - type: SELECT
                      title: Veteran Status
                      caption: null
                      required: false
                    - type: SELECT
                      title: What is your Gender?
                      caption: null
                      required: false
                    - type: SELECT
                      title: Disability Status
                      caption: null
                      required: false
                    - type: SELECT
                      title: How will this employee be classified for EEO reporting?
                      caption: null
                      required: true
                    - type: NUMBER
                      title: Data2
                      caption: null
                      required: true
                    - type: DATE
                      title: Data1
                      caption: null
                      required: true
                    - type: TEXTAREA
                      title: Data3
                      caption: null
                      required: true
                    - type: TEXT
                      title: Data4
                      caption: null
                      required: true
                    - type: TEXT
                      title: send notification again
                      caption: null
                      required: true
                    - type: FILE
                      title: offboard
                      caption: null
                      required: true
                    - type: TEXT
                      title: severance test variable
                      caption: null
                      required: false
                    - type: TEXT
                      title: Favorite Animal
                      caption: null
                      required: true
                    - type: TEXT
                      title: additional variable
                      caption: null
                      required: true
      security:
        - Token: []
components:
  parameters:
    limit:
      name: limit
      in: query
      description: Sets a limit on the returned values
      schema:
        type: integer
    offset:
      name: offset
      in: query
      description: Offsets the returned values
      schema:
        type: integer
  schemas:
    CustomFields:
      title: CustomFieldMeta
      type: object
      description: A Custom Fields object within Rippling.
      x-tags:
        - Models
      x-examples:
        Sample:
          Id: string
          type: TEXT
          title: string
          required: true
      properties:
        Id:
          type: string
          description: The identifier of the specific custom field.
        type:
          type: string
          enum:
            - TEXT
            - DATE
            - NUMBER
            - CURRENCY
            - PERCENTAGE
            - SELECT
            - FILE
            - ID
            - RADIO
            - TEXTAREA
          description: Denotes the type of the custom field.
        title:
          type: string
          description: The title of the custom field.
        required:
          type: boolean
          description: Denotes whether the custom field is or is not mandatory
  securitySchemes:
    Token:
      type: http
      scheme: bearer

````